Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003250Doomseeker[All Projects] Bugpublic2017-09-01 18:142017-10-07 05:32
ReporterWubTheCaptain 
Assigned ToBlzut3 
PrioritynormalSeveritytextReproducibilityhave not tried
StatusresolvedResolutionfixed 
Platformx86_64 (really cross-platform)OSDebian GNU/LinuxOS Versionbuster/sid
Product Version1.1 
Target Version1.2Fixed in Version1.2 
Summary0003250: Doomseeker's --help option is undocumented
DescriptionThe --help command line option of Doomseeker is not documented anywhere, as far as I'm aware.
Steps To ReproduceThe first method is from the command line (terminal).

$ doomseeker --help
Available command line parameters:

--connectprotocol://ip[:port] [^]
    Attempts to connect to the specified server.
--datadir [directory]
    Sets an explicit search location for
    IP2C data along with plugins.
    Can be specified multiple times.
--rcon [plugin] [ip]
    Launch the rcon client for the specified ip.
--portable
    Starts application in portable mode.
    In portable mode Doomseeker saves all configuration files
    to the directory where its executable resides.
    Normally, configuration is saved to user's home directory.
--version-json [file]
    Prints version info on Doomseeker and all
    plugins in JSON format to specified file,
    then closes the program.


The second method is opening navigation menu Help → Program Args in the graphical user interface.
Additional InformationI found the option with guesswork, without reading the source code.

I propose this option to be documented in some way with the command line usage (0003249) and/or man pages (0003247).
Attached Files

- Relationships
related to 0003247assignedWubTheCaptain Doomseeker's manual page (mdoc/nroff) is missing or incomplete 

-  Notes
There are no notes attached to this issue.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-09-01 18:14 WubTheCaptain New Issue
2017-09-06 02:19 Blzut3 Assigned To => Blzut3
2017-09-06 02:19 Blzut3 Status new => assigned
2017-09-06 02:19 Blzut3 Target Version => 1.2
2017-09-06 02:27 Blzut3 Status assigned => resolved
2017-09-06 02:27 Blzut3 Fixed in Version => 1.2
2017-09-06 02:27 Blzut3 Resolution open => fixed
2017-10-07 05:32 WubTheCaptain Relationship added related to 0003247






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker